> For the complete documentation index, see [llms.txt](https://docs.poisoncode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.poisoncode.com/scripts/pc_skills/open-files-preview.md).

# Open files preview

{% hint style="success" %}
This script is customizable, there is a total of 2 files accessible for you.
{% endhint %}

## config/config.lua

<details>

<summary>Click here to see a preview config.lua</summary>

```lua
Config = {
    framework = "ESX", -- available: "ESX", "QBCore", "QBox"
    debug = true, -- enable/disables debug mode (errors will be printed either way)
    notificationPosition = "bottom-center",  -- options: "top-left", "top-center", "top-right", "middle-left", "middle-center", "middle-right", "bottom-left", "bottom-center", "bottom-right"
    autoSaveDelay = 10, -- minutes between auto-saves

    skills = {
        {
            name = "skill1", -- "technical" skill name, can be whatever you'd like, but it has to be one word, and you can't change it later
            label = "JOB", -- label that will be shown in the skill menu/pop-ups
            default_lvl = 1, -- default "starting" level
            default_xp = 0, -- default "starting" xp
            max = 15, -- max skill level
            icon = "fa-solid fa-briefcase", -- icon used for the skill https://fontawesome.com/v6/icons?o=r&s=solid
            modalTitle = "JOB", -- title that will be shown in the window after hovering over the skill
            modalContent = "Job example text", -- text that will be shown in the window
            threshold = { -- xp thresholds for each level
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300
            }
        },
        {
            name = "skill2",
            label = "production",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-flask",
            modalTitle = "DRUG PRODUCTION",
            modalContent = "Drug production example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill3",
            label = "HUSTLE",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-comments-dollar",
            modalTitle = "HUSTLE",
            modalContent = "Hustle example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill4",
            label = "DRUG DEALING",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-cannabis",
            modalTitle = "DRUG DEALING",
            modalContent = "Drug dealing example text",
            threshold = {
                [2] = 300, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill5",
            label = "LUCK",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-star",
            modalTitle = "LUCK",
            modalContent = "Luck example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill6",
            label = "FISHING",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-fish",
            modalTitle = "FISHING",
            modalContent = "Fishing example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill7",
            label = "INTELLIGENCE",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-brain",
            modalTitle = "INTELLIGENCE",
            modalContent = "Intelligence example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill8",
            label = "HEALTH",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-heart",
            modalTitle = "HEALTH",
            modalContent = "Health example text",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
        {
            name = "skill9",
            label = "OTHER",
            default_lvl = 1,
            default_xp = 0,
            max = 20,
            icon = "fa-solid fa-heart",
            modalTitle = "OTHER",
            modalContent = "Other example text2",
            threshold = {
                [2] = 200, [3] = 400, [4] = 600, [5] = 800,
                [6] = 1000, [7] = 1200, [8] = 1400, [9] = 1600,
                [10] = 1800, [11] = 2100, [12] = 2400, [13] = 2700,
                [14] = 3000, [15] = 3300, [16] = 3400, [17] = 3800,
                [18] = 4200, [19] = 4600, [20] = 5000
            }
        },
    }
}
```

</details>

## config/translations.lua

<details>

<summary>Click here to see a preview translations.lua</summary>

```lua
-- _____                          _____          _      
-- |  __ \    (_)                / ____|        | |     
-- | |__) |__  _ ___  ___  _ __ | |     ___   __| | ___ 
-- |  ___/ _ \| / __|/ _ \| '_ \| |    / _ \ / _` |/ _ \
-- | |  | (_) | \__ \ (_) | | | | |___| (_) | (_| |  __/
-- |_|   \___/|_|___/\___/|_| |_|\_____\___/ \__,_|\___|
-- © PoisonCode 
-- Discord: https://discord.gg/rNJ8cHXCsN
-- Tebex: https://poisoncode.tebex.io

Translations = {
    skills = "Skills",
    lvlup = "Level Up!",
    lvlupDesc = "Congratulations! You've reached Level:",
}
```

</details>

{% hint style="info" %}
If you encounter any problems during configuration, you can create a support ticket on our discord.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_skills/open-files-preview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
